Testing REST message HTTP methods
Test an HTTP method for an outbound REST message to ensure that the request is valid and the response returns as expected.
Before you begin
Role required: web_service_admin or admin
Procedure
-
Navigate to All > System Web Services > Outbound > REST Message.
-
Select the REST message with an HTTP method to test.
-
In the HTTP Methods related list, select the HTTP method to test.
-
Under Related Links, select Test.
If the HTTP method includes variables, the Test value for each variable in the Variable Substitutions related list is used when testing the method.
Each test run displays the response status, such as 200 for a successful GET request, the full endpoint URL, any parameters passed in the request, and the response body.
Note: Fields on the Test Runs form are for information only; changes to these fields do not apply to the REST message or HTTP method. Do not modify these values when testing different REST message configurations. Instead, update the REST message or HTTP method, then run a new test.
Result
Completed test runs for an HTTP method appear in the Test Runs related list. If there was an error during the request, the Error Code and Error Message fields appear.
Parent Topic:Define a REST message HTTP method
---
title: Testing REST message HTTP methods
description: Test an HTTP method for an outbound REST message to ensure that the request is valid and the response returns as expected.
locale: en-US
canonical_url: https://www.servicenow.com/docs/r/australia/api-reference/web-services/c\_TestingMethods.html
release: australia
product: Web Services
classification: web-services
topic_type: task
last_updated: "2026-09-10"
reading_time_minutes: 1
breadcrumb: [Define an HTTP method, Create a message, REST, Outbound, Web services, API implementation, API implementation and reference]
---
# Testing REST message HTTP methods
Test an HTTP method for an outbound REST message to ensure that the request is valid and the response returns as expected.
## Before you begin
Role required: web\_service\_admin or admin
## Procedure
1. Navigate to **All** > **System Web Services** > **Outbound** > **REST Message**.
2. Select the REST message with an HTTP method to test.
3. In the HTTP Methods related list, select the HTTP method to test.
4. Under Related Links, select **Test**.
If the HTTP method includes variables, the **Test value** for each variable in the **Variable Substitutions** related list is used when testing the method.
Each test run displays the response status, such as 200 for a successful GET request, the full endpoint URL, any parameters passed in the request, and the response body.
**Note:** Fields on the Test Runs form are for information only; changes to these fields do not apply to the REST message or HTTP method. Do not modify these values when testing different REST message configurations. Instead, update the REST message or HTTP method, then run a new test.
## Result
Completed test runs for an HTTP method appear in the **Test Runs** related list. If there was an error during the request, the **Error Code** and **Error Message** fields appear.
**Parent Topic:**[Define a REST message HTTP method](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/web-services/t_DefineAnHTTPMethod.md)
| title | Testing REST message HTTP methods |
| description | Test an HTTP method for an outbound REST message to ensure that the request is valid and the response returns as expected. |
| locale | en-US |
| canonical_url | https://www.servicenow.com/docs/r/australia/api-reference/web-services/c\_TestingMethods.html |
| release | australia |
| product | Web Services |
| classification | web-services |
| topic_type | task |
| last_updated | 2026-09-10 |
| reading_time_minutes | 1 |
| breadcrumb | Define an HTTP methodCreate a messageRESTOutboundWeb servicesAPI implementationAPI implementation and reference |